import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  //参保人员分页列表
  return request.post(constant.serverUrl + "/insurancePolicyMember/pageList", formData);
}

function insureDetail(formData) {
  return request.post(constant.serverUrl + "/insurancePolicy/insureDetail", formData);
}

function acceptDetail(formData) {
  //获取承保信息
  return request.post(constant.serverUrl + "/insurancePolicy/acceptDetail", formData);
}

function firstApproval(formData) {
  //人才超市初审
  return request.post(constant.serverUrl + "/insurancePolicy/firstApproval", formData);
}

function secondApproval(formData) {
  //PICC复审
  return request.post(constant.serverUrl + "/insurancePolicy/secondApproval", formData);
}

function transfer(formData) {
  //人才超市与PICC转账
  return request.post(constant.serverUrl + "/insurancePolicy/transfer", formData, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function policyRecordPageList(formData) {
  //企业投保审批历史记录
  return request.post(constant.serverUrl + "/insurancePolicyRecord/pageList", formData);
}

function attachmentList(formData) {
  //附件信息
  return request.post(constant.serverUrl + "/insurancePolicy/attachmentList", formData);
}

function issued(formData) {
  //PICC出单
  return request.post(constant.serverUrl + "/insurancePolicy/issued", formData);
}

function otherPageList(formData) {
  //下月投保单列表
  return request.post(constant.serverUrl + "/applicationPolicy/otherPageList", formData);
}

function otherDetail(formData) {
  //PICC出单
  return request.post(constant.serverUrl + "/applicationPolicy/detail", formData);
}

function uploadFiles(formData) {
  //上传附件
  return request.post(constant.serverUrl + "/base/attachment/upload", formData, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function loadInsuranceAgent(formData) {
  //读取每月投保单
  return request.post(constant.serverUrl + "/insurancePolicy/loadInsuranceAgent", formData);
}

function downloadPolicyPdf(policyId) {
  window.open(constant.serverUrl + "/pub/attachment/downloadPolicyPDF?policyId=" + policyId);
}

function downloadPolicyZip(policyId) {
  window.open(constant.serverUrl + "/pub/attachment/downloadPolicyZip?policyId=" + policyId);
}

function downloadIdCardZip(policyId) {
  window.open(constant.serverUrl + "/pub/attachment/downloadIdCardZip?policyId=" + policyId);
}

function getPromoterAndAgent(formData) {
  return request.post(constant.serverUrl + "/insuranceApplication/getPromoterAndAgent", formData);
}

function rollbackOrder(formData) {
  return request.post(constant.serverUrl + "/insurancePolicy/rollbackOrder", formData);
}


export default {
  pageList, insureDetail, acceptDetail, firstApproval, secondApproval, transfer,
  policyRecordPageList, attachmentList, issued, otherPageList,
  otherDetail, uploadFiles, loadInsuranceAgent, getPromoterAndAgent,
  downloadPolicyPdf, downloadIdCardZip, downloadPolicyZip,rollbackOrder
}