import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/insuranceApplication/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/insuranceApplication/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/insuranceApplication/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/insuranceApplication/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/insuranceApplication/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/insuranceApplication/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/insuranceApplication/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function insureDetail(formData) {
  return request.post(constant.serverUrl + "/insuranceApplication/insureDetail", formData);
}

function acceptDetail(formData) {
  //获取承保信息
  return request.post(constant.serverUrl + "/insuranceApplication/acceptDetail", formData);
}


export default {
  pageList, create, edit, add, update, remove, batchRemove, insureDetail,acceptDetail
}