import request from '@/utils/request'
import constant from '@/constant'

function login(data) {
  var formData = new FormData();

  for (var key in data) {
    formData.append(key, data[key]);
  }

  return request.post(constant.serverUrl + '/login', formData)
}

function pageList(formData) {
  return request.post(constant.serverUrl + "/sys/user/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/sys/user/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/sys/user/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/sys/user/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/sys/user/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function changeUserPassword(formData) {
  return request.post(constant.serverUrl + "/sys/user/changeUserPassword", formData);
}

function remove(id) {
  return request.post(constant.serverUrl + "/sys/user/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/sys/user/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function userInfo() {
  return request.get(constant.serverUrl + "/userInfo");
}


function getLoginQrcode(loginCode) {
  return request.get(constant.serverUrl + `/pub/qrcode/login/create?loginCode=${loginCode}`);
}

function queryWXLoginStatus(loginCode) {
  return request.get(constant.serverUrl + `/pub/qrcode/login/loop?loginCode=${loginCode}`);
}

function getBindingQrcode() {
  return request.get(constant.serverUrl + `/qrcode/binding/create`);
}

function scanQrcodeLogin(data) {
  var formData = new FormData();

  for (var key in data) {
    formData.append(key, data[key]);
  }

  return request.post(constant.serverUrl + '/pub/qrcode/login', formData);
}

function wechatUnBind() {
  return request.post(constant.serverUrl + '/wechatUnBind');
}

export default {
  login, pageList, create, edit, add, update, remove, batchRemove, userInfo,changeUserPassword,
  getLoginQrcode, queryWXLoginStatus, getBindingQrcode, scanQrcodeLogin, wechatUnBind
}